package domain


type AlibabaWdkorderSharestockOrderGetMaochaoOrderQueryResult struct {
    /*
        返回码     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        返回码说明     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        是否调用成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        子订单列表     */
    SubOrderList  *[]AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto `json:"sub_order_list,omitempty" `

}

func (s *AlibabaWdkorderSharestockOrderGetMaochaoOrderQueryResult) SetReturnCode(v string) *AlibabaWdkorderSharestockOrderGetMaochaoOrderQueryResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoOrderQueryResult) SetReturnMsg(v string) *AlibabaWdkorderSharestockOrderGetMaochaoOrderQueryResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoOrderQueryResult) SetSuccess(v bool) *AlibabaWdkorderSharestockOrderGetMaochaoOrderQueryResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkorderSharestockOrderGetMaochaoOrderQueryResult) SetSubOrderList(v []AlibabaWdkorderSharestockOrderGetMaochaoWdkOrderDto) *AlibabaWdkorderSharestockOrderGetMaochaoOrderQueryResult {
    s.SubOrderList = &v
    return s
}
